package fishrungames.yelpmapapp

import android.support.v7.widget.RecyclerView
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import android.view.LayoutInflater







/**
 * Created by mephi on 10.06.2017.
 */


class DetailRecyclerAdapter : RecyclerView.Adapter<RecyclerView.ViewHolder>() {


    internal class PhoneViewHolder(v: View) : RecyclerView.ViewHolder(v) {

        var phoneTextView: TextView = v.findViewById(R.id.phoneTextView) as TextView

    }

    internal class AddressViewHolder(v: View) : RecyclerView.ViewHolder(v) {

        var addressTextView: TextView = v.findViewById(R.id.addressTextView) as TextView

    }

    override fun getItemViewType(position: Int): Int {
        // Just as an example, return 0 or 2 depending on position
        // Note that unlike in ListView adapters, types don't have to be contiguous
        return position % 2
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerView.ViewHolder {
        when (viewType) {
            0 -> {
                val v = LayoutInflater.from(parent.context).inflate(R.layout.recycler_phone, parent, false)
                return PhoneViewHolder(v)
            }
            else -> {
                val v = LayoutInflater.from(parent.context).inflate(R.layout.recycler_address, parent, false)
                return AddressViewHolder(v)
            }
        }
    }

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder, position: Int) {
        when (holder.itemViewType) {
            0 -> {
                val phoneViewHolder = holder as PhoneViewHolder

                phoneViewHolder.phoneTextView.text = "+86 15000929180"
            }

            1 -> {
                val addressViewHolder = holder as AddressViewHolder

                addressViewHolder.addressTextView.text = "555 First avenue"
            }
        }
    }

    override fun getItemCount(): Int {
        return 2
    }
}